### File

`packages/eui/packages/components-next/src/lib/components/eui-chip/eui-chip.component.ts`

### Extends

`BaseDirective`

### Implements

`AfterContentInit` `AfterViewInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-chip, span[euiChip], li[euiChip]`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-chip.component.html`

### Index

###### Properties

- _hasTooltip
- _isChipRemovable
- chipLabel
- euiIcons
- Public iconAfter
- Public iconBefore

###### Methods

- Public onRemove

###### Inputs

- data
- euiInternalId
- hasTooltip
- id
- isChipRemovable
- tooltipMessage

###### Outputs

- remove

###### HostBindings

- attr.aria-label
- attr.role
- class

###### Accessors

- isChipRemovable
- hasTooltip

### Constructor

`constructor(cd: ChangeDetectorRef)`

Parameters :

Name | Type | Optional
cd | `ChangeDetectorRef` | No

### Inputs

data
Type : `any`
Default value : `{ id: uuid.v4(), }`

euiInternalId
Type : `string`
Default value : `null`

hasTooltip

id
Type : `string`

isChipRemovable

tooltipMessage
Type : `string`

### Outputs

remove
Type : `EventEmitter`

### HostBindings

attr.aria-label
Default value : `'Chip content'`

attr.role
Default value : `'listbox'`

class

### Methods

Public onRemove
`onRemove(event?: Event)`

Parameters :

Name | Type | Optional
event | `Event` | Yes

Returns : `void`

### Properties

_hasTooltip
Default value : `false`

_isChipRemovable
Default value : `false`

chipLabel
Type : `ElementRef<HTMLInputElement>`
Decorators : `@ViewChild('chipLabel')`

euiIcons
Type : `QueryList<EuiIconComponent>`
Decorators : `@ContentChildren(undefined)`

Public iconAfter
Default value : `false`

Public iconBefore
Default value : `false`

### Accessors

isChipRemovable
set `isChipRemovable(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

hasTooltip
set `hasTooltip(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

# result-matching ""

# No results matching ""